<?php
########################################
#                                            
#        Calendário de Eventos PHP 5 e MySQL            
#        Documento: Agenda de Eventos Dinâmica        
#        Autor: Gaspar Teixeira                    
#        E-mail: gaspar.teixeira@gmail.com            
#        Data: 14/11/2008                        
#        Direito de Uso: Livre                        
#        Declaração: O autor não se responsabiliza        
#        pelo utilização deste calendário!                    
#                                                

########################################
?>

<script>
	$(document).ready(function(e) {

		$(".btnAnterior").button({
			icons: {
				primary: "ui-icon-circle-arrow-w"
			}
		});

		$(".btnProximo").button({
			icons: {
				primary: "ui-icon-circle-arrow-e"
			}
		});

	});
</script>

<head>
	<meta charset="utf-8" />

</head>

<body>
	<?php
	include_once('class/class.mysql.php');
	include_once('evento/class.evento.php');
	$evento = new Evento();
	include_once('feriado/class.feriado.php');
	$feriado = new Feriado();
	include_once('include/utilitarios.php');
	$mysqlCom = $mysqlCom = new MysqlConnect();


	if (empty($_GET['data'])) { //navegaçao entre os meses
		$dia = date('d');
		$month = ltrim(date('m'), "0");
		$ano = date('Y');
	} else {
		$data = explode('/', $_GET['data']); //nova data
		$dia = $data[0];
		$month = $data[1];
		$ano = $data[2];
	}


	if ($month == 1) { //mês anterior se janeiro mudar valor
		$mes_ant = 12;
		$ano_ant = $ano - 1;
	} else {
		$mes_ant = $month - 1;
		$ano_ant = $ano;
	}


	if ($month == 12) { //proximo mês se dezembro tem que mudar
		$mes_prox = 1;
		$ano_prox = $ano + 1;
	} else {
		$mes_prox = $month + 1;
		$ano_prox = $ano;
	}



	$hoje = date('j'); //função importante pego o dia corrente

	switch ($month . $n) {/*notem duas variaveis para o switch para identificar dia e limitar numero de dias*/
		case 1:
			$mes = "JANEIRO";
			$n = 31;
			break;
		case 2:
			$mes = "FEVEREIRO"; // todo ano bixesto fev tem 29 dias
			$bi = $ano % 4; //anos multiplos de 4 são bixestos
			if ($bi == 0) {
				$n = 29;
			} else {
				$n = 28;
			}
			break;
		case 3:
			$mes = "MAR&Ccedil;O";
			$n = 31;
			break;
		case 4:
			$mes = "ABRIL";
			$n = 30;
			break;
		case 5:
			$mes = "MAIO";
			$n = 31;
			break;
		case 6:
			$mes = "JUNHO";
			$n = 30;
			break;
		case 7:
			$mes = "JULHO";
			$n = 31;
			break;
		case 8:
			$mes = "AGOSTO";
			$n = 31;
			break;
		case 9:
			$mes = "SETEMBRO";
			$n = 30;
			break;
		case 10:
			$mes = "OUTUBRO";
			$n = 31;
			break;
		case 11:
			$mes = "NOVEMBRO";
			$n = 30;
			break;
		case 12:
			$mes = "DEZEMBRO";
			$n = 31;
			break;
	}



	$pdianu = mktime(0, 0, 0, $month, 1, $ano); //primeiros dias do mes
	$dialet = date('D', $pdianu); //escolhe pelo dia da semana
	switch ($dialet) { //verifica que dia cai
		case "Sun":
			$branco = 0;
			break;
		case "Mon":
			$branco = 1;
			break;
		case "Tue":
			$branco = 2;
			break;
		case "Wed":
			$branco = 3;
			break;
		case "Thu":
			$branco = 4;
			break;
		case "Fri":
			$branco = 5;
			break;
		case "Sat":
			$branco = 6;
			break;
	}

	$diaSemana = array('Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado');

	?>
	<style>
		.dom,
		.evt,
		.td {
			width: 100px;
			height: 80px;

		}
	</style>


	<table class="mytable">
		<tr class="dados">
			<td><button class="btnAnterior" id="btnAnterior" data="<?php echo $dia . '/' . $mes_ant . '/' . $ano_ant ?>">Anterior</button>
			</td>
			<td colspan="5"><?php echo $mes . ' / ' . $ano ?> - Hoje (<?php echo $diaSemana[date("w")] . ' ' . $dia . '/' . $month . '/' . $ano ?>) </td>
			<td>
				<button class="btnProximo" id="btnProximo" data="<?php echo $dia . '/' . $mes_prox . '/' . $ano_prox ?>">Pr&oacute;ximo</button>
			</td>
		</tr>

		<tr class="descricao">
			<th>Domingo</td>
			<th>Segunda</td>
			<th>Ter&ccedil;a</th>
			<th>Quarta</td>
			<th>Quinta</td>
			<th>Sexta</td>
			<th>Sabado</td>
		</tr>

		<tr valign="top">

			<?php
			$dt = 1;

			if ($branco > 0) {
				for ($x = 0; $x < $branco; $x++) {
					print '<td class="td">&nbsp;</td>';/*preenche os espaços em branco*/
					$dt++;
				}
			}


			$feriado->SelectDia($ano, $month);
			while ($row = mysqli_fetch_object($feriado->qry)) {
				$feriado_dt = explode('-', $row->data); //nova data
				$feriado_dia = ltrim($feriado_dt[2], "0");;
				$diaFeriadoScript .= '.d' . $feriado_dia . ', ';
				$descricaoFeriado .= $feriado_dia . ' - ' . $row->descricao . ', ';
			}

			for ($i = 1; $i <= $n; $i++) {/*agora vamos no banco de dados verificar os evendos*/
				$dtevento = $i . "-" . $month . "-" . $ano;
				$data_dia = $i . "/" . $month . "/" . $ano;

				$evento->ListaEvento($ano . '/' . $month . '/' . $i);
				$num =  mysqli_num_rows($evento->qry); //$evento->QuantidadeEvento($ano.'/'.$month.'/'.$i);

				//lista previas
				$EventoPrint = '';
				$evento->CarregarPrevia($ano . '/' . $month . '/' . $i);
				while ($rPre = mysqli_fetch_object($evento->qry_ver)) {
					$EventoPrint .= "<div align='left'><a href='?p=evento/principal&id_evento=$rPre->id_evento' title='Prévia - $rPre->nome - hs.: $rPre->hora - $rPre->previa'>";
					$EventoPrint .= 'PV';
					$EventoPrint .= '-';
					$EventoPrint .= substr($rPre->nome, 0, 14);
					$EventoPrint .= "</a> </div>";
				}
				$num += mysqli_num_rows($evento->qry_ver);

				if ($num > 0) {/*prevalece qualquer dia especial do calendario, por isso está em primeiro*/
					if ($i == $hoje)
						print '<td class="evt hj d' . $i . '">';
					else
						print '<td class="evt d' . $i . '">';
					print '<a href="' . $ano . '/' . $month . '/' . $i . '" class="btnLista" title=" Listar Eventos">' . $i . ' <span style="font-size:10;">Evento</span> ' . $num . '</a>';
					print "<a class='btnNovoEvento' data='$data_dia' href='?p=evento/novo_evento&d=$i&m=$month&a=$ano' title='Novo Evento'><div class='botao' ></div></a>";

					while ($row = mysqli_fetch_object($evento->qry)) {
						print "<div align='left'><a href='?p=evento/principal&id_evento=$row->id_evento' title='$row->tipo_evento - $row->nome - hs.: $row->hora'>";
						print $row->abreviacao;
						echo '-';
						print substr($row->nome, 0, 14);
						print "</a> </div>";
					}

					//imprime a previa
					if ($EventoPrint != '') {
						echo $EventoPrint;
						$EventoPrint = '';
					}

					print '</td>';
					$dt++;/*incrementa os dias da semana*/
				} elseif ($i == $hoje) {/*imprime os dia corrente*/
					print '<td class="hj d' . $i . '">';
					print $i;
					print "<a class='btnNovoEvento' data='$data_dia' href='?p=evento/novo_evento&d=$i&m=$month&a=$ano' title='Novo Evento'><div class='botao' ></div></a>";
					//imprime a previa
					if ($EventoPrint != '') {
						echo $EventoPrint;
						$EventoPrint = '';
					}
					print '</td>';
					$dt++;
				} elseif ($dt == 1) {/*imprime os domingos*/
					print '<td class="dom td d' . $i . '">';
					print $i;
					print "<a class='btnNovoEvento' data='$data_dia' href='?p=evento/novo_evento&d=$i&m=$month&a=$ano' title='Novo Evento'><div class='botao' ></div></a>";
					//imprime a previa
					if ($EventoPrint != '') {
						echo $EventoPrint;
						$EventoPrint = '';
					}
					print '</td>';
					$dt++;
				} else {/*imprime os dias normais*/
					print '<td class="td d' . $i . '">';
					print $i;
					print "<a class='btnNovoEvento' data='$data_dia' href='?p=evento/novo_evento&d=$i&m=$month&a=$ano' title='Novo Evento'><div class='botao' ></div></a>";
					//imprime a previa
					if ($EventoPrint != '') {
						echo $EventoPrint;
						$EventoPrint = '';
					}
					print '</td>';
					$dt++;
				}

				if ($dt > 7) {/*faz a quebra no sabado*/
					print '</tr><tr valign="top">';
					$dt = 1;
				}
			}

			?>
		</tr>
	</table>

	<span style="font-size:11;"><?php echo substr($descricaoFeriado, 0, -2); ?></span>


	<script>
		$('.evt').css({
			borderLeft: '2px solid #1883b4'
		});
		$('.dom').css({
			borderLeft: '2px solid #c50902'
		});
		$('.hj').css({
			borderBottom: '2px solid #24af12'
		});
		$('<?php echo substr($diaFeriadoScript, 0, -2); ?>').css({
			borderRight: '2px solid #c50902'
		});
	</script>


</body>

</html>

<script type="text/javascript" src="js/table.js"></script>